> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Repeating Transaction

> Get a Specific Repeating Transaction. <br /><br />List For more see the  [Repeating Transactions guide](/api-reference/platform-api/v20111101/reference/transactions#repeating-transactions)



## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /users/{user_guid}/repeating_transactions/{repeating_transaction_guid}
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/repeating_transactions/{repeating_transaction_guid}:
    get:
      tags:
        - transactions
      summary: Get a Repeating Transaction
      description: >-
        Get a Specific Repeating Transaction. <br /><br />List For more see the 
        [Repeating Transactions
        guide](/api-reference/platform-api/v20111101/reference/transactions-overview#repeating-transactions)
      operationId: specificRepeatingTransaction
      parameters:
        - $ref: '#/components/parameters/userGuid'
        - $ref: '#/components/parameters/repeatingTransactionGuid'
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/RepeatingTransactionsResponseBody'
          description: OK
components:
  parameters:
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
    repeatingTransactionGuid:
      description: The unique id for a recurring transaction.
      example: TRN-810828b0-5210-4878-9bd3-f4ce514f90c4
      in: path
      name: repeating_transaction_guid
      required: true
      schema:
        type: string
  schemas:
    RepeatingTransactionsResponseBody:
      properties:
        repeating_transactions:
          items:
            $ref: '#/components/schemas/RepeatingTransactionResponse'
          type: array
      type: object
    RepeatingTransactionResponse:
      properties:
        account_guid:
          example: ACT-0af29528-bb91-447f-b5de-85c1c42593e5
          nullable: true
          type: string
        amount:
          example: 107.4
          type: number
        description:
          type: string
          example: Dominion Energy
        guid:
          type: string
          example: RPT-a2264e1a-d2e6-41d9-88d2-2cfdf1143959
        member_guid:
          type: string
          example: MBR-78b14c5f-7297-4fb5-a966-65ac45f74d83
        merchant_guid:
          type: string
          example: MCH-1b5d7e4d-fa29-95d1-fd0f-540b6f17d986
        last_posted_date:
          type: string
          example: '2024-12-09'
        predicted_occurs_on:
          type: string
          example: '2025-01-09'
        recurrence_type:
          example: EVERY_MONTH
          type: string
        user_guid:
          type: string
        repeating_transaction_type:
          type: string
          enum:
            - BILL
            - SUBSCRIPTION
            - INCOME
            - UNKNOWN
        transaction_type:
          type: string
          enum:
            - DEBIT
            - CREDIT
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````